com.h3c.of

## Enum OfLog

- java.lang.Object
- - java.lang.Enum<OfLog>
  - - com.h3c.of.OfLog

- All Implemented Interfaces:
    Serializable, Comparable<OfLog>

      public enum OfLog
      extends Enum<OfLog>

  Server-side logging for OpenFlow related code.

  Sample usage:

       private static final Logger log = OfLog.OF_PACKET_SEQUENCER.getLogger();

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OF_CONTROLLER` OpenFlow core controller.
    `OF_FLOW_TRACKER` OpenFlow flow tracker.
    `OF_MESSAGE_LIBRARY` OpenFlow Message Library.
    `OF_MOCK_SWITCH` OpenFlow Mock Switch.
    `OF_MSG_SENDER` OpenFlow message satisfier.
    `OF_PACKET_SEQUENCER` OpenFlow packet sequencer.
    `OF_PIPELINE_MANAGER` OpenFlow pipeline manager.
    `ROOT` SDN root logger.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.slf4j.Logger` | `getLogger()` Returns the logger associated with this enumeration constant.
    `String` | `getName()` Returns the Logger path name.
    `static OfLog` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OfLog[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROOT

          public static final OfLog ROOT

      SDN root logger.

    - #### OF_MESSAGE_LIBRARY

          public static final OfLog OF_MESSAGE_LIBRARY

      OpenFlow Message Library.

    - #### OF_MOCK_SWITCH

          public static final OfLog OF_MOCK_SWITCH

      OpenFlow Mock Switch.

    - #### OF_CONTROLLER

          public static final OfLog OF_CONTROLLER

      OpenFlow core controller.

    - #### OF_MSG_SENDER

          public static final OfLog OF_MSG_SENDER

      OpenFlow message satisfier.

    - #### OF_PACKET_SEQUENCER

          public static final OfLog OF_PACKET_SEQUENCER

      OpenFlow packet sequencer.

    - #### OF_FLOW_TRACKER

          public static final OfLog OF_FLOW_TRACKER

      OpenFlow flow tracker.

    - #### OF_PIPELINE_MANAGER

          public static final OfLog OF_PIPELINE_MANAGER

      OpenFlow pipeline manager.

  - ### Method Detail

    - #### values

          public static OfLog[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OfLog c : OfLog.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OfLog valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLogger

          public org.slf4j.Logger getLogger()

      Returns the logger associated with this enumeration constant.
      Returns:
        logger

    - #### getName

          public String getName()

      Returns the Logger path name.

      Do not use this for creating Loggers; use `getLogger()` instead.

      Returns:
        the logger path name

Copyright © 2014. All Rights Reserved.